Page MenuHomePhabricator

Insert/Template inspector should put focus on input text_field when invoked but no longer does
Closed, ResolvedPublic

Description

Seen in Firefox and Chrome:

Edit any page in VE, e.g. http://en.wikipedia.beta.wmflabs.org/wiki/Media_Interface_VisualEditor_Test?veaction=edit

Click Insert/Template

The input text field briefly shows a cursor and a blue bar indicating that the element has focus, but then the focus disappears. User should be able to type directly into text field without needing to click the text field element first, but no longer can.

This is the failure at https://integration.wikimedia.org/ci/view/BrowserTests/view/-All/job/browsertests-VisualEditor-en.wikipedia.beta.wmflabs.org-linux-chrome-sauce/423/testReport/(root)/VisualEditor%20Transclusion/Add_parameter_to_template/

Event Timeline

Cmcmahon raised the priority of this task from to Needs Triage.
Cmcmahon updated the task description. (Show Details)
Cmcmahon added a subscriber: Cmcmahon.
Cmcmahon closed this task as Resolved.Dec 30 2014, 5:16 PM
Cmcmahon claimed this task.

This no longer happens

Still happening for me - Mac - betalabs FF, Chrome and Windows7 IE.

Etonkovidova reopened this task as Open.Dec 30 2014, 7:09 PM
Etonkovidova updated the task description. (Show Details)
Etonkovidova set Security to None.
Jdforrester-WMF triaged this task as Medium priority.Jan 5 2015, 12:29 PM
Jdforrester-WMF moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.
Jdforrester-WMF moved this task from TR6: Visual diffs to Blocked on the VisualEditor board.
gerritbot added a subscriber: gerritbot.

Change 186505 had a related patch set uploaded (by Mooeypoo):
Focus the add template input in the template dialog

https://gerrit.wikimedia.org/r/186505

Patch-For-Review

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Jan 24 2015, 3:07 AM

Change 186505 merged by jenkins-bot:
Focus the add template input in the template dialog

https://gerrit.wikimedia.org/r/186505

Fixed/checked in beta.

Nnemo added a subscriber: Nnemo.Feb 9 2015, 2:31 PM
Nnemo added a comment.Feb 9 2015, 2:38 PM

On Firefox 35 Mac, I am editing Wikipedia with the Visual Editor.

By habit, I type "{{cit". This brings a dialog for choosing a template with one field for typing the name. But the "cit" went nowhere. And typing the name does nothing. I have to click in the field first. It would be nice to have the focus in the field. Thus, when we type, by habit, "{{cit", the characters "cit" would go in the field for the template name.

Thank you.